Name:           python-matrix-synapse
Version:        1.127.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Homeserver for the Matrix decentralised comms protocol

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        AGPL-3.0-or-later
URL:            https://github.com/element-hq/synapse
Source:         %{pypi_source matrix_synapse}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'matrix-synapse' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-matrix-synapse
Summary:        %{summary}

%description -n python3-matrix-synapse %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-matrix-synapse all,cache-memory,jwt,matrix-synapse-ldap3,oidc,opentracing,postgres,redis,saml2,sentry,systemd,test,url-preview,user-search


%prep
%autosetup -p1 -n matrix_synapse-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,cache-memory,jwt,matrix-synapse-ldap3,oidc,opentracing,postgres,redis,saml2,sentry,systemd,test,url-preview,user-search


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-matrix-synapse -f %{pyproject_files}


%changelog
%autochangelog